Open CASCADE Technology: IFSelect_SequenceOfGeneralModifier Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IFSelect_SequenceOfGeneralModifier Class Reference

`#include <IFSelect_SequenceOfGeneralModifier.hxx>`

Inheritance diagram for IFSelect_SequenceOfGeneralModifier:
[legend]

## Public Member Functions
| IFSelect_SequenceOfGeneralModifier ()
| IFSelect_SequenceOfGeneralModifier (const IFSelect_SequenceOfGeneralModifier &Other)
void | Clear ()
| ~IFSelect_SequenceOfGeneralModifier ()
const IFSelect_SequenceOfGeneralModifier & | Assign (const IFSelect_SequenceOfGeneralModifier &Other)
const IFSelect_SequenceOfGeneralModifier & | operator= (const IFSelect_SequenceOfGeneralModifier &Other)
void | Append (const Handle< IFSelect_GeneralModifier > &T)
void | Append (IFSelect_SequenceOfGeneralModifier &S)
void | Prepend (const Handle< IFSelect_GeneralModifier > &T)
void | Prepend (IFSelect_SequenceOfGeneralModifier &S)
void | InsertBefore (const Standard_Integer Index, const Handle< IFSelect_GeneralModifier > &T)
void | InsertBefore (const Standard_Integer Index, IFSelect_SequenceOfGeneralModifier &S)
void | InsertAfter (const Standard_Integer Index, const Handle< IFSelect_GeneralModifier > &T)
void | InsertAfter (const Standard_Integer Index, IFSelect_SequenceOfGeneralModifier &S)
const Handle < IFSelect_GeneralModifier > & | First () const
const Handle < IFSelect_GeneralModifier > & | Last () const
void | Split (const Standard_Integer Index, IFSelect_SequenceOfGeneralModifier &Sub)
const Handle < IFSelect_GeneralModifier > & | Value (const Standard_Integer Index) const
const Handle < IFSelect_GeneralModifier > & | operator() (const Standard_Integer Index) const
void | SetValue (const Standard_Integer Index, const Handle< IFSelect_GeneralModifier > &I)
Handle < IFSelect_GeneralModifier > & | ChangeValue (const Standard_Integer Index)
Handle < IFSelect_GeneralModifier > & | operator() (const Standard_Integer Index)
void | Remove (const Standard_Integer Index)
void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Public Member Functions inherited from TCollection_BaseSequence
Standard_Boolean | IsEmpty () const
| returns True if the sequence <me> contains no elements. More...
Standard_Integer | Length () const
| Returns the number of element(s) in the sequence. Returns zero if the sequence is empty. More...
void | Reverse ()
| Reverses the order of items on <me>. Example: before me = (A B C) after me = (C B A) More...
void | Exchange (const Standard_Integer I, const Standard_Integer J)
| Swaps elements which are located at positions and <J> in <me>. Raises an exception if I or J is out of bound. Example: before me = (A B C), I = 1, J = 3 after me = (C B A) More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BaseSequence
| TCollection_BaseSequence ()
| Creation of an empty sequence. More...
void | Clear (const Standard_Address DelNode)
void | PAppend (const Standard_Address Node)
void | PAppend (TCollection_BaseSequence &S)
| Concatenates <S> at the end of <me>. <S> is cleared. Example: before me = (A B C) S = (D E F) after me = (A B C D E F) S = () More...
void | PPrepend (const Standard_Address Node)
void | PPrepend (TCollection_BaseSequence &S)
| Concatenates <S> at the beginning of <me>. <S> is cleared. Example: before me = (A B C) S = (D E F) after me = (D E F A B C) S = () More...
void | PInsertAfter (const Standard_Integer Index, const Standard_Address Node)
void | PInsertAfter (const Standard_Integer Index, TCollection_BaseSequence &S)
| Inserts the sequence <S> in <me> after the position <Index>. <S> is cleared. Raises an exception if the index is out of bound. Example: before me = (A B C), Index = 3, S = (D E F) after me = (A B C D E F) S = () More...
void | PSplit (const Standard_Integer Index, TCollection_BaseSequence &Sub)
| Keeps in <me> the items 1 to <Index>-1 and puts in the items <Index> to the end. Example: before me = (A B C D) ,Index = 3 after me = (A B) Sub = (C D) More...
void | Remove (const Standard_Integer Index, const Standard_Address DelNode)
void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex, const Standard_Address DelNode)
Standard_Address | Find (const Standard_Integer Index) const
| Returns the node at position <index>. More...
Protected Attributes inherited from TCollection_BaseSequence
Standard_Address | FirstItem
Standard_Address | LastItem
Standard_Address | CurrentItem
Standard_Integer | CurrentIndex
Standard_Integer | Size

## Constructor & Destructor Documentation

IFSelect_SequenceOfGeneralModifier::IFSelect_SequenceOfGeneralModifier | ( |  | ) |

IFSelect_SequenceOfGeneralModifier::IFSelect_SequenceOfGeneralModifier | ( | const IFSelect_SequenceOfGeneralModifier & | Other | ) |

IFSelect_SequenceOfGeneralModifier::~IFSelect_SequenceOfGeneralModifier | ( |  | ) |
| inline

## Member Function Documentation

void IFSelect_SequenceOfGeneralModifier::Append | ( | const Handle< IFSelect_GeneralModifier > & | T | ) |

void IFSelect_SequenceOfGeneralModifier::Append | ( | IFSelect_SequenceOfGeneralModifier & | S | ) |

const IFSelect_SequenceOfGeneralModifier& IFSelect_SequenceOfGeneralModifier::Assign | ( | const IFSelect_SequenceOfGeneralModifier & | Other | ) |

Handle< IFSelect_GeneralModifier >& IFSelect_SequenceOfGeneralModifier::ChangeValue | ( | const Standard_Integer | Index | ) |

void IFSelect_SequenceOfGeneralModifier::Clear | ( |  | ) |

const Handle< IFSelect_GeneralModifier >& IFSelect_SequenceOfGeneralModifier::First | ( |  | ) | const

void IFSelect_SequenceOfGeneralModifier::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle< IFSelect_GeneralModifier > & | T
| ) |  |

void IFSelect_SequenceOfGeneralModifier::InsertAfter | ( | const Standard_Integer | Index,
|  | IFSelect_SequenceOfGeneralModifier & | S
| ) |  |

void IFSelect_SequenceOfGeneralModifier::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle< IFSelect_GeneralModifier > & | T
| ) |  |

void IFSelect_SequenceOfGeneralModifier::InsertBefore | ( | const Standard_Integer | Index,
|  | IFSelect_SequenceOfGeneralModifier & | S
| ) |  |

const Handle< IFSelect_GeneralModifier >& IFSelect_SequenceOfGeneralModifier::Last | ( |  | ) | const

const Handle< IFSelect_GeneralModifier >& IFSelect_SequenceOfGeneralModifier::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< IFSelect_GeneralModifier >& IFSelect_SequenceOfGeneralModifier::operator() | ( | const Standard_Integer | Index | ) |
| inline

const IFSelect_SequenceOfGeneralModifier& IFSelect_SequenceOfGeneralModifier::operator= | ( | const IFSelect_SequenceOfGeneralModifier & | Other | ) |
| inline

void IFSelect_SequenceOfGeneralModifier::Prepend | ( | const Handle< IFSelect_GeneralModifier > & | T | ) |

void IFSelect_SequenceOfGeneralModifier::Prepend | ( | IFSelect_SequenceOfGeneralModifier & | S | ) |

void IFSelect_SequenceOfGeneralModifier::Remove | ( | const Standard_Integer | Index | ) |

void IFSelect_SequenceOfGeneralModifier::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |  |

void IFSelect_SequenceOfGeneralModifier::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< IFSelect_GeneralModifier > & | I
| ) |  |

void IFSelect_SequenceOfGeneralModifier::Split | ( | const Standard_Integer | Index,
|  | IFSelect_SequenceOfGeneralModifier & | Sub
| ) |  |

const Handle< IFSelect_GeneralModifier >& IFSelect_SequenceOfGeneralModifier::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- IFSelect_SequenceOfGeneralModifier.hxx